Subject: Re: ImageMagick
From: [email-masked] (Arlindo da Silva)

22 Apr 1998 06:15:22 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (William M. Mullins)
Cc: [email-masked]

Hi,

> 
> I have found display/FX and animate both work fine.  My only problem is
> that virtual memory allocation in cygwin is apparently broken.  I get
> colour images, but after a few manipulations on a LARGE image, RAM fills
> and I start to get memory full type error messages.
>

I never ran into this, perhaps my images are not too complex.
 
> I did not mean to imply that the versions of libz and libjpeg you
> provided with libhdf would not work.  I simply did not know they were
> there and had already built both.  On discovering that mine were
> slightly later versions than yours, I simply used mine.
>

Make sense.
 
> I have thought of rebuilding libMagick into a dll and using it that
> way.  This would reduce the size of the individual executables, but slow
> 
> things dowm a bit.
> 

I have sucessfully built libMagick.dll using Makefile.DLLs from:

    http://www.cs.mu.oz.au/~fjh/gnu-win32/how-to-build-dlls.html

The speed is fine.

> Did you have the same problems with libtiff that I had?  

I remember Cristy having the same problem. I myself only built the plug-ins I
needed for my work (hdf, jpeg, zlib). I know of at least one tiff port to
gnuwin32, take a look at:

              http://gnu-win32.paranoia.ru/

The binaries may be B18, but you may be able to easily recompile 
the patched sources.
 
> I did not
> define QuantumLeap (255->65535 colours) in config.h.  Could this be the
> difference, or is it the old -O2 bug in gcc that was fixed in egcs?

I am not sure. Try compiling with "-O".

> If you want these, just let me know.

Thank you for the offer. Right now I am all set with what I have.

  Cheers!

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".